# How to add custom SVGs

We use ember-svg-jar to inline SVGs into the template for `alloy-icon`. Our svg-jar is filled with SVGs from multiple sources:

1. `@material-icons/svg` npm package
2. `public/custom_svgs` folder

These locations are specified in `index.js` along with a function to parse their filenames and format them in the way `alloy-icon` expects.

If you add icons to `public/custom_svgs` please follow the same folder structure `@material-icons/svg` uses:
https://github.com/material-icons/material-icons

The name you want to use with `alloy-icon` becomes the folder name. Then inside that folder place an svg named for each style you want to support. You must at least support the `baseline` style by providing a `baseline.svg`. We also sometimes use the `outline` style for material icons - if you want the outline version then you would provide an `outline.svg`.

By convention, the material icons separate words with `snake_case`.

## Example

```
public/custom_svgs/my_cool_svg/baseline.svg
public/custom_svgs/my_cool_svg/outline.svg (if desired)
```

```hbs
{{alloy-icon name="my_cool_svg"}}
{{alloy-icon name="my_cool_svg" style="outline"}}
```
